<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>


<script type="text/javascript" src="/js/video-modal.js"></script>
<script type="text/javascript" src="/js/password-meter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>
<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>
<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>
<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>
<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>
<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>
<script type="text/javascript">
Cubix.Grid.DataTypes.EscortLink.baseUrl = '<?= Cubix_Application::getById()->url . '/escort' ?>';
</script>

<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>
<script type="text/javascript" src="/js/moo-uploader.js"></script>

<?php echo $this->headLink()->prependStylesheet($this->baseUrl() . '/css/highslide.css') ?>
<link href="/css/video-modal.css" rel="stylesheet" type="text/css" />
<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>
<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));

	var getFilterParams = function () {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};

    var initBulkSender = function () {

		var bulkUsersCount = {
		    '<?= APP_6B ?>'  : 100,
	        'default' : 250
	    };

        var app_id = '<?= Cubix_Application::getId() ?>';
        var count = bulkUsersCount[app_id] != undefined ? bulkUsersCount[app_id] : bulkUsersCount['default'];

        new Cubix.Button($('btn-send-mail'), {
            onClick: function () {
                if (confirm('Are you sure you want to resend emails?')) {
                    new Request({
                        url: '<?= $this->baseUrl() ?>/verifications/unverified-users/resend?allusers=1&users-count=' + count,
                        onSuccess: function(response) {
                            response = JSON.decode(response);

                            if(response.status == 'success')
                                alert(response.message);
                            else
                                alert("Some error occured !!!")
                        }
                    }).send();
                }
            }, icon: 'unread', caption: 'Send Verificaiton Email To next ' + count + ' Users'
        });

    }();

	new Cubix.Button($('btn-sync'), { onClick: function () {
		new Request({
				url: '<?= $this->baseUrl() ?>/verifications/unverified-users/sync',
				method: 'post',
				onSuccess: function (resp) {
					var response_parsed = JSON.parse(resp);
					if(response_parsed.status == 'success'){
						alert('Data has been successfully synced');
					}else{
						alert(response_parsed.message);
					}
					grid.load();
				}
			}).send();
	}, icon: 'refresh', caption: 'sync', classes: 'ml20'});

	/* don't forget to assign Cubix.Grid.Instance when using Cubix.Popup.Actions.Save */
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'ID', field: 'id', type: 'number', sortable: true, width: 50 },
			{ title: 'Username', field: 'u_username', type: 'string', sortable: true },
			{ title: 'Email', field: 'u_email', type: 'email', sortable: true },
			{ title: 'User Type', field: 'u_type', type: 'string', width: '100px' },
			{ title: 'Register Date', field: 'reg_date', type: 'string', sortable: true, width: '100px' },
			{ title: 'Status', field: 'status', type: 'string', sortable: false, width: '100px' },
		],
		sort: {
			field: 'id',
			dir: 'desc'
		},
		actions: [ { type: 'remove', mouseenter: function (data, btn) {
					menu.show(btn, data);
				} },
				   { type: 'quick-sms', mouseenter: function (data, btn) {

					resend_email.show(btn, data);
				} } 
		],
		data: new Cubix.Grid.Loader({ url: '<?= $this->baseUrl() ?>/verifications/unverified-users/data', params: getFilterParams })
	});

	// Remove USER
	var menu = new ActionsMenu([
		{ name: 'remove', icon: 'remove', caption: 'Remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this user?') ) {
				if(data.u_type == 'member'){
					new Request({
						url: '/members/remove?id=' + data.id
					}).send();
					
				}else if(data.u_type == 'escort'){
					new Request({
					url: '/escorts-v2/delete?id=' + data.id,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
				}else if(data.u_type == 'agency'){
					new Request({
					url: '/agencies/delete?agency_id=' + data.id,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
					}).send();
				}
				grid.load();
			}

		} },
	], { icon: 'remove', mode: 'mouse' });

	var resend_email = new ActionsMenu([
		{ name: 'remove', icon: 'quick-sms', caption: 'Resend Email', func: function (data) {
			if ( confirm('Are you sure you want to send verification email to this user?') ) {
				new Request({
						url: '<?= $this->baseUrl() ?>/verifications/unverified-users/resend?id=' + data.id + '&type='+ data.u_type 
									+ '&email='+ data.u_email + '&activation_hash='+ data.u_activation_hash
									+ '&username='+ data.u_username + '&u_id='+ data.u_id + '&reg_date='+ data.reg_date,
						onSuccess: function (resp) {
							var response_parsed = JSON.parse(resp);
							if(response_parsed.status == 'success'){
								alert('email has been successfully sent');
							}else{
								alert(response_parsed.message);
							}
							grid.load();
						}
					}).send();
				grid.load();
			}
		} },
	], { icon: 'quick-sms', mode: 'mouse' });

	menu.addEvent('show', function (data) {
		this.actions['remove'].enable();
	});

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: 'ml410' });
	
	window.addEvent('domready', function() {
		new Picker.Date('input[name=reg_date]', { pickerClass: 'datepicker', 
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
	});

	var initFormSubmit = function() {
		var inputs = $$('.form-common')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.form-common')[0].getElements('select');

		selects.addEvent('change', function(){
			grid.load();
		});
	};

	initFormSubmit();
};
</script>

<div class="form-common gray">
	<form>		
		<fieldset class="inner mb10">
			<div class="inner">
				<label for="u-email">Email</label>
				<input id="u-email" type="text" class="txt w18" name="u_email" value="" />
			</div>
			
			<div class="inner mb10">
				<label for="u-reg_date">Register Date</label>
				<input id="u-reg_date" type="text" class="txt w14" name="reg_date" value="" />
			</div>

			<div class="inner">
				<label for="user_type">Type</label>
				<select  id="user_type" name="user_type" >
					<option value="all">All</option>
					<option value="member">Member</option>
					<option value="escort">Escort</option>
					<option value="agency">Agency</option>
				</select>
			</div>

			<div class="inner">
				<label for="mail_status">Status</label>
				<select  id="mail_status" name="mail_status" >
					<option value="all">All</option>
					<option value="email_sent">Email Sent</option>
					<option value="returned_user">Returned User</option>
					<option value="not_notified">Not Notified</option>
				</select>
			</div>

			<div class="clear"></div>
		</fieldset>
		
		<div class="clear"></div>
			<a id="btn-refresh"></a>
			

		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div class="mt10">
	<a id="btn-send-mail"></a>
	<a id="btn-sync"></a>
	<div class="clear"></div><div id="grid-show-count" class="fleft"><span></span> - User(s) Found</div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
